#include<iostream>
#include<conio.h>
using namespace std;
class Bakhsh3Class
{
	private :
		int Yekan, Dahgan, Sadgan;
	public :
		int Calculate(int num)
		{
			Yekan = num % 10;
			Dahgan = (num % 100) / 10;
			Sadgan = num / 100;
			if(num % (Sadgan + Dahgan + Yekan) == 0)
				return 1;
			else
				return 0;
		}
};

int main()
{
	Bakhsh3Class A;
	int d;
	cout << "Natije = ";
	for(d = 100; d <= 999; d++)
	{
		if(A.Calculate(d) == 1)
			cout << d << " ";
	}
	getch();
}

